---
editUrl: false
next: false
prev: false
title: "EventModuleDefs"
---

## Type parameters

• **T** *extends* keyof `ClientEvents` = keyof `ClientEvents`

## Properties

### 0

> **0**: [`DiscordEventCommand`](/v4/api/interfaces/discordeventcommand/)\<`T`\>

#### Source

[src/types/core-modules.ts:323](https://github.com/sern-handler/handler/blob/3f703c17b88b6add7de919772e7b2a7faffd3910/src/types/core-modules.ts#L323)

***

### 1

> **1**: [`SernEventCommand`](/v4/api/interfaces/serneventcommand/)\<keyof [`SernEventsMapping`](/v4/api/interfaces/serneventsmapping/)\>

#### Source

[src/types/core-modules.ts:322](https://github.com/sern-handler/handler/blob/3f703c17b88b6add7de919772e7b2a7faffd3910/src/types/core-modules.ts#L322)

***

### 2

> **2**: [`ExternalEventCommand`](/v4/api/interfaces/externaleventcommand/)

#### Source

[src/types/core-modules.ts:324](https://github.com/sern-handler/handler/blob/3f703c17b88b6add7de919772e7b2a7faffd3910/src/types/core-modules.ts#L324)
